WPXParser Class Referenceabstract

`#include <WPXParser.h>`

Inheritance diagram for WPXParser:

## Public Member Functions

| WPXParser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
virtual | ~WPXParser ()
virtual void | parse (librevenge::RVNGTextInterface *documentInterface)=0
virtual void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface)=0

## Protected Member Functions

WPXHeader * | getHeader ()
librevenge::RVNGInputStream * | getInput ()
WPXEncryption * | getEncryption ()

## Private Member Functions

| WPXParser (const WPXParser &)
WPXParser & | operator= (const WPXParser &)

## Private Attributes

librevenge::RVNGInputStream * | m_input
WPXHeader * | m_header
WPXEncryption * | m_encryption

## Constructor & Destructor Documentation

## WPXParser() [1/2]

WPXParser::WPXParser | ( | librevenge::RVNGInputStream * | input,
|  | WPXHeader * | header,
|  | WPXEncryption * | encryption )

Referenced by operator=(), WP1Parser::WP1Parser(), WP3Parser::WP3Parser(), WP42Parser::WP42Parser(), WP5Parser::WP5Parser(), WP6Parser::WP6Parser(), and WPXParser().

## ~WPXParser()

virtual WPXParser::~WPXParser | ( |  | ) |

inline virtual

## WPXParser() [2/2]

WPXParser::WPXParser | ( | const WPXParser & |  | ) |

private

## Member Function Documentation

## getEncryption()

WPXEncryption * WPXParser::getEncryption | ( |  | ) |

inline protected

Referenced by WP1Parser::parse(), WP3Parser::parse(), WP42Parser::parse(), WP5Parser::parse(), and WP6Parser::parse().

## getHeader()

WPXHeader * WPXParser::getHeader | ( |  | ) |

inline protected

Referenced by WP6Parser::getPrefixData(), WP3Parser::getResourceFork(), WP3Parser::parse(), WP5Parser::parse(), and WP6Parser::parse().

## getInput()

librevenge::RVNGInputStream * WPXParser::getInput | ( |  | ) |

inline protected

Referenced by WP1Parser::parse(), WP3Parser::parse(), WP42Parser::parse(), WP5Parser::parse(), WP6Parser::parse(), WP1Parser::parseSubDocument(), WP3Parser::parseSubDocument(), WP42Parser::parseSubDocument(), WP5Parser::parseSubDocument(), and WP6Parser::parseSubDocument().

## operator=()

WPXParser & WPXParser::operator= | ( | const WPXParser & |  | ) |

private

## parse()

virtual void WPXParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

pure virtual

Implemented in WP1Parser, WP3Parser, WP42Parser, WP5Parser, and WP6Parser.

## parseSubDocument()

virtual void WPXParser::parseSubDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

pure virtual

Implemented in WP1Parser, WP3Parser, WP42Parser, WP5Parser, and WP6Parser.

## Member Data Documentation

## m_encryption

WPXEncryption* WPXParser::m_encryption

private

Referenced by getEncryption(), and WPXParser().

## m_header

WPXHeader* WPXParser::m_header

private

Referenced by getHeader(), and WPXParser().

## m_input

librevenge::RVNGInputStream* WPXParser::m_input

private

Referenced by getInput(), and WPXParser().

The documentation for this class was generated from the following files:

- WPXParser.h
- WPXParser.cpp